<?php
if ( ! class_exists( 'SLPPro_Admin_GeneralSettings' ) ) {

	/**
	 * Class SLPPro_Admin_GeneralSettings
	 *
	 * The things that modify the Admin / General Settings UX.
	 *
	 *
	 * @package StoreLocatorPlus\SLPPremier\Admin\Experience
	 * @author Lance Cleveland <lance@storelocatorplus.com>
	 * @copyright 2016 Charleston Software Associates, LLC
	 *
	 * Text Domain: slp-pro
	 *
	 * @property        SLPPro          $addon
	 */
	class SLPPro_Admin_GeneralSettings  extends SLPlus_BaseClass_Object {
		public  $addon;


        /**
         * General / Admin
         */
        function add_admin_settings() {
            $this->admin_locations();
        }

        /**
         * General / UI
         */
        function add_ui_settings() {
            $this->ui_javascript();
        }

        /**
         * General / Admin / Locations
         */
        private function admin_locations() {
            $this->addon->admin->current_group = __('Locations'         ,'slp-pro');
            $this->addon->admin->add_sublabel( $this->addon->name );
            $this->addon->admin->add_checkbox( __('Highlight Uncoded' ,'slp-pro') , __('Highlight the uncoded locations in the Manage Locations panel.','slp-pro'), 'highlight_uncoded' );
        }

        /**
         * General / UI / JavaScript
         */
        private function ui_javascript() {
            $this->addon->admin->current_group = __('JavaScript','slp-pro');
            $this->addon->admin->add_sublabel( $this->addon->name );
            $this->addon->admin->add_checkbox(
                __('Use location sensor', 'slp-pro') ,
                __('This turns on the location sensor (GPS) to set the default search address. ','slp-pro').
                __('This can be slow to load and customers are prompted whether or not to allow location sensing.', 'slp-pro'),
                'use_sensor'
            );
        }
	}
}